button,
[type="button"],
[role="button"],
input[type="submit"],
input[type="reset"],
.button {
  border: none;
  background-color: var(--button-background);
  color: var(--stand-out-color);
  font-weight: $stand-out-font-weight;
  padding: $spacer-tiny $spacer-small;
  display: inline-block;

  &[disabled=""] {
    background-color: var(--mute-background);
    color: var(--mute-color);
  }

  &:not([disabled=""]):active {
    box-shadow: inset 0 0 1px 2px red;
  }

  &.large {
    padding: $spacer-default;
  }

  &.block {
    display: block;
    width: 100%;
  }

  &.destructive {
    color: var(--notice-destructive-color);
    background-color: var(--notice-destructive-background);
  }

  &.add {
    color: var(--notice-primary-color);
    background-color: var(--notice-primary-background);
  }

  &[disabled] {
    background-color: var(--mute-background);
    color: var(--mute-color);
    cursor: not-allowed;
  }
}
